package com.kdanmobile.kdanloginregisterui

import android.content.Context
import android.util.AttributeSet
import android.view.View
import kotlinx.android.synthetic.main.activity_login_a.view.*

class LoginAView @JvmOverloads constructor(
    context: Context,
    attrs: AttributeSet? = null,
    defStyleAttr: Int = 0
) : BaseLoginView(context, attrs, defStyleAttr) {

    override var email: String
        get() {
            return emailLoginFromView_loginA.email
        }
        set(value) {
            emailLoginFromView_loginA.email = value
        }
    override var pwd: String
        get() {
            return emailLoginFromView_loginA.pwd
        }
        set(value) {
            emailLoginFromView_loginA.pwd = value
        }
    override var isRemember: Boolean
        get() {
            return emailLoginFromView_loginA.isRemember
        }
        set(value) {
            emailLoginFromView_loginA.isRemember = value
        }

    init {
        View.inflate(context, R.layout.activity_login_a, this)
        setupTosAndPpTextView(tv_loginA_tosAndPp)
        setupSwitchTextView(tv_loginA_switchToRegister)
        setupFormView()
        view_loginA_fbLogin.setOnClickListener { onClickFbLogin.run() }
        view_loginA_googleLogin.setOnClickListener { onClickGoogleLogin.run() }
        btn_loginA_close.setOnClickListener { onClickClose.run() }
    }

    private fun setupFormView() {
        emailLoginFromView_loginA.let {
            it.onClickPwdHelp = View.OnClickListener { onClickPwdHelp.run() }
            it.onSubmit = Runnable { onClickEmailLogin.run() }
        }
    }
}