package com.kdanmobile.kdanloginregisterui

import android.content.Context
import android.util.AttributeSet
import android.view.View
import kotlinx.android.synthetic.main.activity_register_a.view.*

class RegisterAView @JvmOverloads constructor(
    context: Context,
    attrs: AttributeSet? = null,
    defStyleAttr: Int = 0
) : BaseRegisterView(context, attrs, defStyleAttr) {

    override val name: String
        get() = emailRegisterFromView_registerA.name
    override val email: String
        get() = emailRegisterFromView_registerA.email
    override val pwd: String
        get() = emailRegisterFromView_registerA.pwd

    init {
        View.inflate(context, R.layout.activity_register_a, this)
        setupSwitchTextView(tv_registerA_switchToLogin)
        setupTosAndPpTextView(tv_registerA_tosAndPp)
        emailRegisterFromView_registerA.apply {
            onSubmit = Runnable { onClickEmailRegister.run() }
        }
        view_registerA_fbRegister.setOnClickListener { onClickFbRegister.run() }
        view_registerA_googleRegister.setOnClickListener { onClickGoogleRegister.run() }
        btn_registerA_close.setOnClickListener { onClickClose.run() }
    }
}